import React, {Component} from 'react';
import './DefaultLayout.less'
import Layout, {Header, Footer, Content} from "antd/es/layout/layout";
import HeadNav from "../HeadNav/HeadNav";
import MyFooter from "../Footer/Footer";
import {HashRouter, Route, Switch} from "react-router-dom";
import LoginUser from "../LoginUser/LoginUser";
import Sider from "antd/es/layout/Sider";
import AccountSideBar from "../SideBar/AccountSideBar";
import CrawlerSideBar from "../SideBar/CrawlerSideBar";
import HomeSideBar from "../SideBar/HomeSideBar";
import RcQueueAnim from "rc-queue-anim";
import RegisterUser from "../RegisterUser/RegisterUser";

class DefaultLayout extends Component {
    constructor(props) {
        super(props);
        this.state = {
            collapsed: true,
        }
    }

    onCollapse = collapsed => {
        console.log(collapsed);
        this.setState({collapsed});
    };

    render() {
        return (
            <Layout style={{minHeight: '100vh'}}>
                <Header>
                    <HeadNav/>
                </Header>
                <Layout>
                    <Sider theme={'light'} collapsible collapsed={this.state.collapsed} onCollapse={this.onCollapse}>
                        <div>
                            <HashRouter>
                                <Switch>
                                    <Route path={"/home"} component={HomeSideBar}/>
                                    <Route path={"/profile"} component={AccountSideBar}/>
                                    <Route path={"/weibo"} component={CrawlerSideBar}/>
                                </Switch>
                            </HashRouter>
                        </div>
                    </Sider>
                    <Layout>
                        <Content id={'my_content'} className={'site-layout-background'}>
                            <div>
                                <HashRouter>
                                    <Switch>
                                        <Route path={"/profile/login"} component={LoginUser}/>
                                        <Route path={"/profile/register"} component={RegisterUser}/>
                                    </Switch>
                                </HashRouter>
                            </div>
                        </Content>
                        <Footer>
                            <MyFooter/>
                        </Footer>
                    </Layout>
                </Layout>
            </Layout>
        )
    }
}

export default DefaultLayout;