import React, {Component} from 'react';
import {Col, Menu, Row} from 'antd'
import {GlobalOutlined, HomeOutlined, UserOutlined, WeiboOutlined, ZhihuOutlined} from "@ant-design/icons";
import './HeadNav.less'
import {Link} from "react-router-dom";

class HeadNav extends Component {
    constructor(props) {
        super(props);
    }

    render() {

        return (
            <div id="HeadNav">
                <div className="nav-wrap">
                    <div className="nav-list-wrap">
                        <Row>
                            <div className={'logo'}>
                                <GlobalOutlined/>
                                PoAS
                            </div>
                            <Col xs={2} sm={4} md={15} lg={16} xl={19}>
                                <Menu
                                    selectable={false}
                                    mode="horizontal"
                                    theme="dark"
                                >
                                    <Menu.Item key="home">
                                        <Link to={'/home'}>
                                            <HomeOutlined/>
                                            &nbsp;  首页
                                        </Link>
                                    </Menu.Item>
                                    <Menu.Item key="WeiBo">
                                        <Link to={'/weibo'}>
                                            <WeiboOutlined/>
                                            &nbsp;  微博
                                        </Link>
                                    </Menu.Item>
                                </Menu>
                            </Col>
                            <Menu
                                mode="horizontal"
                                theme="dark"
                                selectable={false}
                            >
                                <Menu.Item key="profile">
                                    <Link to={'/profile'}>
                                        <UserOutlined/>
                                        账户
                                    </Link>
                                </Menu.Item>
                            </Menu>
                        </Row>
                    </div>
                </div>
            </div>
        )
    }
}

export default HeadNav;