import {Component} from "react";
import {apiLogout} from "../../utils/API/API";
import {Button, Col, Divider, Form, Input, message, Row, Space} from "antd";
import {LockOutlined, UserOutlined} from "@ant-design/icons";

class LoggedForm extends Component {
    constructor(props) {
        super(props);
    }

    onClickLogout() {
        apiLogout().then(res => {
            if (res.data.code === 1001) {
                message.success(res.data.message);
                this.props.handleLog(false);
            } else {
                message.error(res.data.message)
            }
        })
    };

    render() {
        return (
            <div id={'Logout'}>
                <Row justify={'center'}>
                    <Col span={24}>
                        已登录
                        <Button type="primary" htmlType="submit" block={true} onClick={this.onClickLogout.bind(this)}>
                            登出
                        </Button>
                    </Col>
                </Row>
            </div>
        );
    }
}

export default LoggedForm;