import {Component} from 'react';
import './LoginUser.less'
import {Col, Row, message} from "antd";
import {apiIsLogged, apiLogout} from "../../utils/API/API";
import LoggedForm from "./Logged";
import NotLogged from "./unLogged";

class LoginUser extends Component {
    state = {
        is_logged: false,
    }

    componentWillMount() {
        apiIsLogged().then(res => {
            if (res.data.code === 1001) {
                message.success(res.data.message);
                this.setState({
                    is_logged: true
                })
            } else {
                message.error(res.data.message);
            }
        })
    }

    handleLog(is_logged) {
        this.setState({
            is_logged: is_logged
        })
    }

    render() {
        return (
            <div id={'LoginUser'}>
                <Row>
                    <Col span={8} offset={2}>
                        {this.state.is_logged ? <LoggedForm handleLog={this.handleLog.bind(this)}/> :
                            <NotLogged handleLog={this.handleLog.bind(this)}/>}
                    </Col>
                </Row>
            </div>
        )
    }
}

export default LoginUser;