import {Component} from "react";
import {Button, Col, Divider, Form, Input, message, Row, Space} from "antd";
import {LockOutlined, UserOutlined} from "@ant-design/icons";
import {apiLogin} from "../../utils/API/API";
import {Link} from "react-router-dom";

class NotLogged extends Component {
    render() {
        const onFinish = (values) => {
            console.log('Received values of form: ', values);
            let params = {
                ...values
            }
            apiLogin(params).then(res => {
                if (res.data.code === 1001) {
                    message.success(res.data.message);
                    this.props.handleLog(true)
                } else {
                    message.error(res.data.message)
                }
            })
        };
        return (
            <div id={'LoginForm'}>
                <Form
                    name="normal_login"
                    className="login-form"
                    onFinish={onFinish}
                >
                    <Space direction="vertical" size={30} className={'MySpace'}>
                        <Space direction="vertical" size={30} className={'MySpace'}>
                            <Space direction="vertical" className={'MySpace'}>
                                <Form.Item
                                    name="username"
                                    rules={[
                                        {
                                            required: true,
                                            message: 'Please input your Username!',
                                        },
                                    ]}
                                >
                                    <Input prefix={<UserOutlined className="site-form-item-icon"/>}
                                           placeholder="Username"/>
                                </Form.Item>
                                <Form.Item
                                    name="password"
                                    rules={[
                                        {
                                            required: true,
                                            message: 'Please input your Password!',
                                        },
                                    ]}
                                >
                                    <Input
                                        prefix={<LockOutlined className="site-form-item-icon"/>}
                                        type="password"
                                        placeholder="Password"
                                    />
                                </Form.Item>
                            </Space>
                            <Form.Item>
                                <Row justify={'center'}>
                                    <Col span={24}>
                                        <Button type="primary" htmlType="submit" block={true}>
                                            登录
                                        </Button>
                                    </Col>
                                </Row>
                            </Form.Item>
                        </Space>
                        <div>
                            <Button ghost={true} type={'link'}>
                                忘记密码
                            </Button>
                            <Divider type="vertical"/>
                            <Button ghost={true} type={'link'}>
                                <Link to={'/profile/register'}>
                                    注册
                                </Link>
                            </Button>
                        </div>
                    </Space>
                </Form>
            </div>
        );
    }
}

export default NotLogged;