import react, {Component} from 'react';
import './RegisterUser.less'
import DefaultLayout from "../DefaultLayout/DefaultLayout";
import Checkbox from "antd/es/checkbox/Checkbox";
import {Button, Col, Form, Input, Row, message, Space, Divider} from "antd";
import {LockOutlined, MailOutlined, UserOutlined} from "@ant-design/icons";
import {apiRegister} from "../../utils/API/API";

class RegisterUser extends Component {
    render() {
        const onFinish = (values) => {
            console.log('Received values of form: ', values);
            let params = {
                ...values
            }
            apiRegister(params).then(res => {
                if (res.data.code === 1001) {
                    message.success(res.data.message);
                } else {
                    message.error(res.data.message)
                }
            })
        };
        return (
            <div id={'LoginUser'}>
                <Row>
                    <Col span={8} offset={2}>
                        <div id={'LoginForm'}>
                            <Form
                                name="normal_login"
                                className="login-form"
                                onFinish={onFinish}
                            >
                                <Space direction="vertical" size={30} className={'MySpace'}>
                                    <Space direction="vertical" className={'MySpace'}>
                                        <Form.Item
                                            name="username"
                                            rules={[
                                                {
                                                    required: true,
                                                    message: 'Please input your Username!',
                                                },
                                            ]}
                                        >
                                            <Input prefix={<UserOutlined className="site-form-item-icon"/>}
                                                   placeholder="Username"/>
                                        </Form.Item>
                                        <Form.Item
                                            name="password"
                                            rules={[
                                                {
                                                    required: true,
                                                    message: 'Please input your Password!',
                                                },
                                            ]}
                                        >
                                            <Input
                                                prefix={<LockOutlined className="site-form-item-icon"/>}
                                                type="password"
                                                placeholder="Password"
                                            />
                                        </Form.Item>
                                        {/*<Form.Item*/}
                                        {/*    name="email"*/}
                                        {/*    rules={[*/}
                                        {/*        {*/}
                                        {/*            required: true,*/}
                                        {/*            message: 'Please input your E-mail!',*/}
                                        {/*        },*/}
                                        {/*    ]}*/}
                                        {/*>*/}
                                        {/*    <Input*/}
                                        {/*        prefix={<MailOutlined className="site-form-item-icon"/>}*/}
                                        {/*        type="email"*/}
                                        {/*        placeholder="E-mail"*/}
                                        {/*    />*/}
                                        {/*</Form.Item>*/}
                                    </Space>
                                    <Form.Item>
                                        <Row justify={'center'}>
                                            <Col span={24}>
                                                <Button type="primary" htmlType="submit" block={true}>
                                                    注册
                                                </Button>
                                            </Col>
                                        </Row>
                                    </Form.Item>
                                </Space>
                            </Form>
                        </div>
                    </Col>
                </Row>
            </div>
        )
    }
}

export default RegisterUser;