import {Component} from "react";
import {Menu} from "antd";
import {
    BranchesOutlined,
    BulbOutlined,
    ImportOutlined,
    ProfileOutlined,
    UploadOutlined,
    UserOutlined,
} from "@ant-design/icons";
import {Link} from "react-router-dom";


class AccountSideBar extends Component {
    state = {
        current: 'home',
    }

    onClickMenuItem(item) {
        this.setState({
            current: item.key
        })
    }

    render() {
        return (
            <Menu theme="light" mode="inline" onClick={this.onClickMenuItem.bind(this)}>
                <Menu.Item key="account" icon={<UserOutlined/>}>
                    <Link to={'/profile/login'}>
                        账号
                    </Link>
                </Menu.Item>
                <Menu.Item key="contribution" icon={<BranchesOutlined/>}>
                    贡献
                </Menu.Item>
                <Menu.SubMenu key="mission" icon={<ProfileOutlined/>} title={'任务'}>
                    <Menu.Item key="posted" icon={<UploadOutlined/>}>
                        我发布的
                    </Menu.Item>
                    <Menu.Item key="participated" icon={<ImportOutlined/>}>
                        我参与的
                    </Menu.Item>
                </Menu.SubMenu>
                <Menu.Item key="info" icon={<BulbOutlined/>}>
                    帮助
                </Menu.Item>
            </Menu>
        )
    }
}


export default AccountSideBar;
