import {Menu} from "antd";
import {BulbOutlined, ImportOutlined, ProfileOutlined, UploadOutlined} from "@ant-design/icons";
import {Component} from "react";

class CrawlerSideBar extends Component {
    state = {
        current: 'home',
    }

    onClickMenuItem(item) {
        this.setState({
            current: item.key
        })
    }

    render() {
        return (
            <Menu theme="light" mode="inline" onClick={this.onClickMenuItem.bind(this)}>
                <Menu.SubMenu key="mission" icon={<ProfileOutlined/>} title={'任务'}>
                    <Menu.Item key="post" icon={<UploadOutlined/>}>
                        发布
                    </Menu.Item>
                    <Menu.Item key="participate" icon={<ImportOutlined/>}>
                        参与
                    </Menu.Item>
                </Menu.SubMenu>
                <Menu.Item key="info" icon={<BulbOutlined/>}>
                    帮助
                </Menu.Item>
            </Menu>
        )
    }
}

export default CrawlerSideBar;