import {Component} from "react";
import {Menu} from "antd";
import {
    BranchesOutlined,
    BulbOutlined,
    ImportOutlined, LaptopOutlined,
    ProfileOutlined,
    UploadOutlined,
    UserOutlined
} from "@ant-design/icons";

class HomeSideBar extends Component {
    state = {
        current: 'home',
    }

    onClickMenuItem(item) {
        this.setState({
            current: item.key
        })
    }

    render() {
        return (
            <Menu theme="light" mode="inline" onClick={this.onClickMenuItem.bind(this)}>
                <Menu.Item key="account" icon={<LaptopOutlined />}>
                    介绍
                </Menu.Item>
                <Menu.Item key="info" icon={<BulbOutlined/>}>
                    帮助
                </Menu.Item>
            </Menu>
        )
    }
}


export default HomeSideBar;
